## org.gnu.glib
Class Quark

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.glib.Quark

public class Quark
extends Boxed

A Quark is an association between a String and an integer identifier. Given either the String or the Quark it is possible to retrieve the other. This object is used primarily inside of the bindings. The external interface should use a standard java type like Property.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Quark(Handle handle)` This is the method that allows one to construct a Quark once a native peer has been provided.
`Quark(java.lang.String string)` Create a Quark object.

Method Summary
`static Quark` `findQuark(java.lang.String string)` Find a Quark that is associated with the given string.
`protected static Handle` `g_quark_from_string(java.lang.String str)` BEGINNING OF GENERATED CODE
`protected static java.lang.String` `g_quark_to_string(Handle quark)`
`protected static Handle` `g_quark_try_string(java.lang.String str)`
`java.lang.String` `getString()` Retrieve the string value associated with this Quark.

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Quark

    public Quark(java.lang.String string)

  Create a Quark object.

Parameters:
  `string` - The string value associated with this Quark.

### Quark

    public Quark(Handle handle)

  This is the method that allows one to construct a Quark once a native peer has been provided.

Parameters:
  `handle` - The native peer that was returned from a call to the native libraries.

Method Detail

### getString

    public final java.lang.String getString()

  Retrieve the string value associated with this Quark.

  Returns:
    The string value

### findQuark

    public static final Quark findQuark(java.lang.String string)

  Find a Quark that is associated with the given string. If one is not found a null value is returned.

  Parameters:
    `string` - The string value to use for the search
  Returns:
    The Quark value associated with the string or null if one is not found.

### g_quark_from_string

    protected static final Handle g_quark_from_string(java.lang.String str)

  BEGINNING OF GENERATED CODE

### g_quark_try_string

    protected static final Handle g_quark_try_string(java.lang.String str)

### g_quark_to_string

    protected static final java.lang.String g_quark_to_string(Handle quark)